Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
PUTCDP OperationsSince 4.3.6SynchronousAuth Required
UpdateCdpTask
UpdateCdpTask
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the resource.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringOptional. The name of the resource.
descriptionStringOptional. Optional. The detailed description of the resource.
backupBandwidthlongOptional. The backup rate of a single volume.
maxCapacitylongOptional. The planning capacity of the CDP task.
maxLatencylongOptional. The RPO maximum latency of the CDP task.
resourceUuidStringOptional. The UUID of the resource.
tagUuidsListOptional. The UUID list of the tags.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/cdp-backup-storage/task/{uuid}/actions
/zstack/v1/cdp-backup-storage/task/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/cdp-backup-storage/task/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","backupBandwidth":1,"maxCapacity":1,"maxLatency":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "2680ec1b4d0c3b69bc4c7a1813a8b3d0", "name": "My Task", "policyUuid": "aef28d43ccec3118bb597c237aa243ae", "backupStorageUuid": "06f62c4b65b237ee854dbcdf01798188", "status": "Created", "state": "Enabled", "taskType": "VM", "backupBandwidth": 1.048576E8, "maxCapacity": 1.073741824E11, "usedCapacity": 0.0, "maxLatency": 0.0, "currentLatency": 0.0 } }Change History
This API has no change history records yet.
